Package org.apache.maven.scm.provider.tfs.command

## Class TfsCheckInCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.checkin.AbstractCheckInCommand
    - - org.apache.maven.scm.provider.tfs.command.TfsCheckInCommand

All Implemented Interfaces:
  `Command`

    public class TfsCheckInCommand
    extends AbstractCheckInCommand

### Field Summary

### Fields inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

`NAME`

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`TfsCheckInCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TfsCommand` `createCommand​(ScmProviderRepository r, ScmFileSet f, java.lang.String m)`
`protected CheckInScmResult` `executeCheckInCommand​(ScmProviderRepository r, ScmFileSet f, java.lang.String m, ScmVersion v)`

### Methods inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TfsCheckInCommand

    public TfsCheckInCommand()

### Method Detail

#### executeCheckInCommand

    protected CheckInScmResult executeCheckInCommand​(ScmProviderRepository r,
                                                     ScmFileSet f,
                                                     java.lang.String m,
                                                     ScmVersion v)
                                              throws ScmException

Specified by:
  `executeCheckInCommand` in class `AbstractCheckInCommand`
Throws:
  `ScmException`

#### createCommand

    public TfsCommand createCommand​(ScmProviderRepository r,
                                    ScmFileSet f,
                                    java.lang.String m)